import { OnInit, OnDestroy, Injector } from '@angular/core';
import { Router } from '@angular/router';
import { SettingsService } from '../../shared/settings.service';
import { MenuService } from './menu.service';
export declare class MenuLeftComponent implements OnInit, OnDestroy {
    menu: MenuService;
    settings: SettingsService;
    injector: Injector;
    menuItems: Array<any>;
    router: Router;
    sbclickEvent: string;
    $doc: any;
    constructor(menu: MenuService, settings: SettingsService, injector: Injector);
    ngOnInit(): void;
    anyClickClose(): void;
    ngOnDestroy(): void;
    toggleSubmenuClick(event: any): void;
    closeMenu(elem: any): void;
    getPaddingTop($el: any): number;
    toggleSubmenuHover(event: any): void;
    listenForExternalClicks(): void;
    removeFloatingNav(): void;
    isSidebarCollapsed(): any;
    isSidebarCollapsedText(): any;
    isEnabledHover(): any;
}
